<?php

IF (GET('details') == 'show'){
  
  $archive = DB::GET_STRING("SELECT * FROM `PANEL_ALPHA_INSTALL` WHERE `ACT` = '1' AND `ID` = '".INTVAL(GET('id'))."' LIMIT 1");
  
  IF (!ISSET($archive['ID'])){
    
    ERROR('Неверная директива', 'session');
    REDIRECT('/panel/?path=system&section=alpha_install');
  
  }
  
  ECHO "<div class='fon'>";
  
  ECHO "<table style='width: 100%;'><tr>";
  
  ECHO "<td class='td-file'>";
  ECHO "".FILE::ICONS('code')."";
  ECHO "</td>";
  
  ECHO "<td class='td-file2'>";
  ECHO "<b>".TEXT_ABSOLUTE($archive['NAME'])."</b><p>";
  ECHO ICONS('clock-o', 15, 'fa-fw');
  ECHO FTIME($archive['TIME']);
  ECHO " <span class='count'>".SIZE_FILE($archive['SIZE'])."</span>";
  ECHO "</p></td>";
  
  ECHO "</tr></table>";
  
  ECHO "</div>";
  
  ECHO "<div class='fon2'>";
  
  ECHO "<div class='list-title'>".LG('Установленные файлы компонента')."</div>";
  
  ECHO "<div class='list'>";
  
  ECHO "<div class='file-content2'>";
  ECHO "<div style='padding: 10px;'>";
  
  $data = DB::GET_STRING_ALL("SELECT `DIR` FROM `PANEL_ALPHA_INSTALL_DATA` WHERE `ID_AI` = '".$archive['ID']."'");
  
  WHILE ($list = $data->FETCH()){
    
   ECHO "<b>/".TEXT_ABSOLUTE($list['DIR'])."</b><br />";
  
  }
  
  ECHO "</div>";
  ECHO "</div><br />";
    
  ECHO "</div>";
  ECHO "</div>";
  
  ECHO "<a href='?path=system&section=alpha_install'><div class='fon'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</div></a>";
  
  REQUIRE (ROOT.'/style/panel/include/footer.php');
  EXIT();
  
}
  
?>